custom(3)

NAME
custom - Custom operations API.

SYNOPSIS

  Functions
int LIBMTP_Custom_Operation (LIBMTP_mtpdevice_t *, uint16_t, int,...)

Detailed Description

Function Documentation

  int LIBMTP_Custom_Operation (LIBMTP_mtpdevice_t * device, uint16_t code, int n_param, ...)
Issue custom (e.g. vendor specific) operation (without data phase)

Parameters
    device a pointer to the device to send custom operation to.
    code operation code to send.
    n_param number of parameters passed.
    ... uint32_t operation specific parameters.

References LIBMTP_mtpdevice_struct::params.

Author

Generated automatically by Doxygen for libmtp from the source code.